[svn-commits] russell: branch 1.4 r2343 - in /branches/1.4: ./
zaptel.init
svn-commits at lists.digium.com
svn-commits at lists.digium.com
Tue Mar 27 11:49:01 MST 2007
Author: russell
Date: Tue Mar 27 13:49:01 2007
New Revision: 2343
URL: http://svn.digium.com/view/zaptel?view=rev&rev=2343
Log:
Merged revisions 2342 via svnmerge from
https://origsvn.digium.com/svn/zaptel/branches/1.2
........
r2342 | russell | 2007-03-27 13:48:23 -0500 (Tue, 27 Mar 2007) | 5 lines
When debug is enabled, ensure that "debug=1" gets passed to the zaptel module,
and not just the hardware modules. Also, run "ztcfg -s" at the beginning of
the "stop" action of the script.
(issue #7409, PCadach and tzafrir)
........
Modified:
branches/1.4/ (props changed)
branches/1.4/zaptel.init
Propchange: branches/1.4/
------------------------------------------------------------------------------
Binary property 'branch-1.2-merged' - no diff available.
Modified: branches/1.4/zaptel.init
URL: http://svn.digium.com/view/zaptel/branches/1.4/zaptel.init?view=diff&rev=2343&r1=2342&r2=2343
==============================================================================
--- branches/1.4/zaptel.init (original)
+++ branches/1.4/zaptel.init Tue Mar 27 13:49:01 2007
@@ -9,6 +9,8 @@
# config: /etc/sysconfig/zaptel
initdir=/etc/init.d
+
+ZTCFG=/sbin/ztcfg
#
# Determine which kind of configuration we're using
@@ -112,7 +114,7 @@
# Check that telephony is up.
[ "${TELEPHONY}" = "yes" ] || exit 0
-[ -f /sbin/ztcfg ] || exit 0
+[ -f $ZTCFG ] || exit 0
[ -f /etc/zaptel.conf ] || exit 0
@@ -131,10 +133,10 @@
rmmod audio >& /dev/null
if [ $system = debian ]; then
echo -n "Loading zaptel framework: "
- modprobe zaptel >& /dev/null && echo -n "done"
- echo "."
- elif [ $system = redhat ]; then
- action "Loading zaptel framework: " modprobe zaptel
+ modprobe zaptel ${ARGS} >& /dev/null && echo -n "done"
+ echo "."
+ elif [ $system = redhat ]; then
+ action "Loading zaptel framework: " modprobe zaptel ${ARGS}
fi
echo -n "Waiting for zap to come online..."
TMOUT=10 # max secs to wait
@@ -166,10 +168,10 @@
fi
if [ $system = debian ]; then
echo -n "Running ztcfg: "
- /sbin/ztcfg >& /dev/null && echo -n "done"
- echo "."
- elif [ $system = redhat ]; then
- action "Running ztcfg: " /sbin/ztcfg
+ $ZTCFG >& /dev/null && echo -n "done"
+ echo "."
+ elif [ $system = redhat ]; then
+ action "Running ztcfg: " $ZTCFG
fi
RETVAL=$?
@@ -177,6 +179,7 @@
;;
stop)
# Unload drivers
+ $ZTCFG -s
echo -n "Unloading zaptel hardware drivers:"
for x in $RMODULES; do
if rmmod ${x} >& /dev/null; then
@@ -203,10 +206,10 @@
reload)
if [ $system = debian ]; then
echo -n "Reloading ztcfg: "
- /sbin/ztcfg >& /dev/null && echo -n "done"
- echo "."
- elif [ $system = redhat ]; then
- action "Reloading ztcfg: " /sbin/ztcfg
+ $ZTCFG >& /dev/null && echo -n "done"
+ echo "."
+ elif [ $system = redhat ]; then
+ action "Reloading ztcfg: " $ZTCFG
fi
RETVAL=$?
;;
More information about the svn-commits
mailing list